<!DOCTYPE html>
<html lang="en">
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<meta content="utf-8" http-equiv="encoding">
<body>
  <div id="app">
    <h1>Share posts app!</h1>
    <p v-if="user === null">Welcome, guest! Do please login <a href="http://localhost:8080/login">here</a>.</p>
    <p v-else>Welcome, {{user.name}}! You can logout at any time <a href="#"  @click="logout">here</a>.</p>

    <form v-if="user !== null" id="create_post"  @submit="checkForm" method="POST" action="#">
      <input type="text" v-model="title" name="title" placeholder="Title" />
      <input type="text" v-model="description"  name="description" placeholder="Description" />
      <input type="hidden" name="author_name"  value="user.name" />
      <input type="hidden" name="author_id" value="user.id" />
      <button type="submit">Share!</button>
    </form>

    <ul id="posts">
      <postcomp v-for="post in posts"
        v-bind:user="user"
        v-bind:id="post._id"
        v-bind:title="post.title"
        v-bind:description="post.description"
        v-bind:author_name="post.author_name"
        v-bind:author_id="post.author_id"
        v-bind:publish_date="post.publish_date">
      </postcomp>
    </ul>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2"></script>
  <script src="app.js"></script>
</body>
</html>